nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
ArchiveReader Class Reference
Inheritance diagram for ArchiveReader:

## Public Member Functions
| ArchiveReader (DirContentsManager *const dirContentsManager, unsigned int frameDurationUsec)
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual unsigned int | getCapabilities () const override
| Implementation of nxcip::DtsArchiveReader::getCapabilities.
virtual int | open () override
| Implementation of nxcip::DtsArchiveReader::open.
virtual nxcip::StreamReader * | getStreamReader () override
| Implementation of nxcip::DtsArchiveReader::getStreamReader.
virtual nxcip::UsecUTCTimestamp | startTime () const override
| Implementation of nxcip::DtsArchiveReader::startTime.
virtual nxcip::UsecUTCTimestamp | endTime () const override
| Implementation of nxcip::DtsArchiveReader::endTime.
virtual int | seek (unsigned int cSeq, nxcip::UsecUTCTimestamp timestamp, bool findKeyFrame, nxcip::UsecUTCTimestamp *selectedPosition) override
| Implementation of nxcip::DtsArchiveReader::seek.
virtual int | setReverseMode (unsigned int cSeq, bool isReverse, nxcip::UsecUTCTimestamp timestamp, nxcip::UsecUTCTimestamp *selectedPosition) override
| Implementation of nxcip::DtsArchiveReader::toggleReverseMode. More...
virtual bool | isReverseModeEnabled () const override
| Implementation of nxcip::DtsArchiveReader::isReverseModeEnabled.
virtual int | setMotionDataEnabled (bool motionPresent) override
| Implementation of nxcip::DtsArchiveReader::toggleMotionData. More...
virtual int | setQuality (nxcip::MediaStreamQuality quality, bool waitForKeyFrame) override
| Implementation of nxcip::DtsArchiveReader::setQuality.
virtual int | playRange (unsigned int cSeq, nxcip::UsecUTCTimestamp start, nxcip::UsecUTCTimestamp endTimeHint, unsigned int step) override
| Implementation of nxcip::DtsArchiveReader::setSkipFrames.
virtual void | getLastErrorString (char *errorString) const override
| Implementation of nxcip::DtsArchiveReader::getLastErrorString.

## Additional Inherited Members
Public Types inherited from nxcip::DtsArchiveReader
enum | Capabilities { reverseGopModeCapability = 0x01, skipFramesCapability = 0x02, motionDataCapability = 0x04 }

## Member Function Documentation

## ◆ setMotionDataEnabled()

int ArchiveReader::setMotionDataEnabled | ( | bool | motionPresent | ) |
| overridevirtual

Implementation of nxcip::DtsArchiveReader::toggleMotionData.

Implementation of nxcip::DtsArchiveReader::setMotionData.

Implements nxcip::DtsArchiveReader.

## ◆ setReverseMode()

int ArchiveReader::setReverseMode | ( | unsigned int | cSeq,
|  | bool | isReverse,
|  | nxcip::UsecUTCTimestamp | timestamp,
|  | nxcip::UsecUTCTimestamp * | selectedPosition
| ) |  |
| overridevirtual

Implementation of nxcip::DtsArchiveReader::toggleReverseMode.

Implementation of nxcip::DtsArchiveReader::setReverseMode.

Implements nxcip::DtsArchiveReader.

The documentation for this class was generated from the following files:

- samples/device/image_library_plugin/src/archive_reader.h
- samples/device/image_library_plugin/src/archive_reader.cpp